Package ru.bitel.bgbilling.modules.card.common.service

# Interface CardService

@MTOM(enabled=true, threshold=10000) public interface CardService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cardActivateForPayment(int contractId, String number, String pin)`
  Активация карты для пополнения баланса.
  `List<Dealer>`
  `dealerList(int type)`
  `void`
  `dealerUpdate(Dealer dealer)`
  `Result<DealerPayment>`
  `paymentList(Set<Integer> dealerIds, Date dateFrom, Date dateTo, int type, String trans, String contract, long contractGroups, List<FilterEntityAttr> contractFilter, Page page)`
  `ru.bitel.bgbilling.common.dto.FileDto`
  `paymentListExport(Set<Integer> dealerIds, Date dateFrom, Date dateTo, int type, String trans, String contract, long contractGroups, List<FilterEntityAttr> contractFilter, Page page)`

- ## Method Details

  - ### paymentList

    Result<DealerPayment> paymentList(Set<Integer> dealerIds, Date dateFrom, Date dateTo, int type, String trans, String contract, long contractGroups, List<FilterEntityAttr> contractFilter, Page page) throws Exception
    Throws:
      `Exception`

  - ### paymentListExport

    ru.bitel.bgbilling.common.dto.FileDto paymentListExport(Set<Integer> dealerIds, Date dateFrom, Date dateTo, int type, String trans, String contract, long contractGroups, List<FilterEntityAttr> contractFilter, Page page) throws Exception
    Throws:
      `Exception`

  - ### cardActivateForPayment

    void cardActivateForPayment(int contractId, String number, String pin) throws ru.bitel.bgbilling.common.BGException
    Активация карты для пополнения баланса.
    Parameters:
      `contractId` - ID договора, для которого активируется карта.
      `number` - номер карты.
      `pin` - пароль (PIN-код) карты.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `BGMessageException`
      `BGIllegalArgumentException`
      `BGIllegalAccessException`

  - ### dealerList

    List<Dealer> dealerList(int type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### dealerUpdate

    void dealerUpdate(Dealer dealer) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`